import { Meta, StoryObj } from "@storybook/react";
import Input from "./Input";
import React from "react";

const meta: Meta<typeof Input> = {
    title: "Basic",
    component: Input,
    argTypes: {
        onChange: {
            action: 'onChange'
        }
    }
}
export default meta

type story = StoryObj<typeof meta>;

export const Input_: story = {
    args: {
        placeholder: 'Enter the value...',
    },
    render: (args) => {
        return <React.Fragment>
            <p>Without Error</p>
            <Input {...args} />
            <p>With Error</p>
            <Input {...args} ErrorMessage="Enter the Fields" />
        </React.Fragment>
    }
}
