import Item from "@/components/Top-Level/Item/Item";
import styles from "./list.module.css";
import { TodoListItems } from "@/Types/todoTypes";
interface ListItemProps {
    data: TodoListItems[];
    onDelete: (id: number) => void;
    updateTask: (id: number, task: string, isCompleted: boolean) => void;
}
const ListItem: React.FC<ListItemProps> = ({ data, onDelete, updateTask }) => {
    return (
        <div className={styles.list}>
            {
                data.map((item) => {
                    return (
                        <Item
                            key={item.id}
                            {...item}
                            onDelete={onDelete}
                            updateTask={updateTask}
                        />
                    )
                })
            }
        </div>);
}

export default ListItem;