
import { Axios } from "./Instance";

export default async function AddTask(task: string) {
    try {
        const res = await Axios.post('', {
            task, isCompleted: false
        })
        return res.data
    } catch (error) {
        alert("something went wrong")
        console.log(error)
        return null;
    }
}

export async function DeleteTask(id: number) {
    try {
        const isDelete = confirm('Are you sure you want to delete');
        if (isDelete) {
            const res = await Axios.delete(`${id}`)
            return res.data
        }
    } catch (error) {
        alert('something went wrong')
        console.log(error)
        return null;
    }
}
export async function UpdateTask(id: number, task: string, isCompleted: boolean) {
    try {
        const res = await Axios.put(`${id}`, {
            task, isCompleted, id
        })
        return res.data
    } catch (error) {
        console.log(error)
        alert("something went wrong")
        return null;
    }
}
